<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
  Mostra una lista di documenti a partire dal seguente XML:
    <docs>
      <doc id="id_doc" dt="dt_doc" state='fl_stato'>ds_tpdoc</doc>
      ...
    </docs>
-->

  <xsl:template match="/docs">
    <table id='tblDocs' border='0' cellpadding='2' cellspacing='2' align='center' width='90%'>
      <xsl:apply-templates select="/docs/doc"/>
    </table>
  </xsl:template>

  <xsl:template match="doc">
    <tr>
    <xsl:attribute name="id_doc"><xsl:value-of select="@id"/></xsl:attribute>
    <xsl:attribute name="bgcolor">
      <xsl:choose>
        <xsl:when test="@state='A'">#DCDCDC</xsl:when>
        <xsl:when test="@state='R'">#BDB76B</xsl:when>
        <xsl:otherwise>white</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <td>
      <xsl:value-of select="@dt"/>
    </td>
    <td>
      <a href="#" title="mostra documento">
        <xsl:attribute name="onclick">lfDocShow(<xsl:value-of select="@id"/>)</xsl:attribute><xsl:value-of select="."/>
      </a>
    </td>
    <td>
      <xsl:if test="@state=''">
      <a href='#' class='lookup' title='modifica il documento'>
      <xsl:attribute name="onclick">lfDocUpd(<xsl:value-of select="@id"/>)</xsl:attribute>Modifica
      </a>
      </xsl:if>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="@state=''">
          <a href='#' class='lookup' title='annulla il documento'><xsl:attribute name="onclick">lfDocDel(<xsl:value-of select="@id"/>)</xsl:attribute>Annulla</a>
        </xsl:when>
        <xsl:when test="@state='A'">
          <a href='#' class='lookup' title='elimina il documento'><xsl:attribute name="onclick">lfDocDel(<xsl:value-of select="@id"/>)</xsl:attribute>Elimina</a>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td>
      <xsl:if test="@state=''">
      <a href='#' class='lookup' title='rende il documento definitivo e non modificabile'>
      <xsl:attribute name="onclick">lfDocRO(<xsl:value-of select="@id"/>)</xsl:attribute>Proteggi
      </a>
      </xsl:if>
    </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
